List Voices
curl --request GET \
--url https://api.openmic.ai/v1/voices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openmic.ai/v1/voices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openmic.ai/v1/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"voices": [
{
"id": 123,
"name": "<string>",
"voice_id": "<string>",
"sample_url": "<string>",
"provider": "<string>",
"gender": "<string>",
"language": "<string>",
"languages": [
"<string>"
],
"accent": "<string>",
"age": "<string>",
"ethnicity": "<string>",
"characteristics": [
"<string>"
],
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123,
"has_more": true
},
"filters": {
"available_genders": [
"<string>"
],
"available_providers": [
"<string>"
],
"available_languages": [
"<string>"
],
"available_accents": [
"<string>"
]
}
}Voices
List Voices
Retrieve a paginated list of available text-to-speech voices. Use query parameters to filter by gender, provider, language, or accent, and to search by name or description.
GET
/
v1
/
voices
List Voices
Authorizations
API key authentication. Include your API key in the Authorization header as: Authorization: Bearer <your-api-key>
Query Parameters
Maximum number of voices to return (1-100).
Required range:
1 <= x <= 100Number of voices to skip for pagination.
Required range:
x >= 0Search voices by name or description (case-insensitive).
Filter by gender (e.g. 'male', 'female').
Filter by TTS provider (e.g. 'elevenlabs', 'deepgram').
Filter by language code (e.g. 'en', 'es').
Filter by accent (case-insensitive partial match).
Field to sort results by.
Available options:
name, created_at Sort direction.
Available options:
asc, desc Was this page helpful?